#
# spec file for package perl-DateTime-Format-Mail
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name DateTime-Format-Mail

Name:           perl-%cpan_name
Version:        0.3001
Release:        10.1
Provides:       %cpan_name

Requires:       perl-DateTime perl-DateTime-Locale perl-DateTime-TimeZone perl-Params-Validate
Group:          Development/Libraries/Perl
License:        GPL
Url:            http://search.cpan.org/dist/DateTime-Format-Mail/
Summary:        DateTime::Format::Mail - Convert between DateTime and RFC2822/822 formats
Source:         %cpan_name-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  perl-DateTime perl-DateTime-Locale perl-DateTime-TimeZone perl-File-Find-Rule perl-Module-Build perl-Params-Validate perl-Test-Signature

%description
RFCs 2822 and 822 specify date formats to be used by email. This module parses and emits such dates.
 
RFC2822 (April 2001) introduces a slightly different format of date than that used by RFC822 (August 1982). The main correction is that the preferred format is more limited, and thus easier to parse programmatically.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
export DESTDIR=$RPM_BUILD_ROOT
/usr/bin/perl Build --makefile_env_macros 1 install --installdirs vendor
#%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/DateTime
%{perl_vendorarch}/auto/DateTime
#/var/adm/perl-modules/%{name}
%doc AUTHORS Artistic COPYING CREDITS Changes LICENCE MANIFEST README

%changelog
* Mon Dec 20 2010 vcizek@novell.com
- separated perl_requires and the rest required
* Thu Dec 16 2010 vcizek@novell.com
- switch to  %%perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.3001
